#/bin/sh -e

if [ $# -eq 0 ]; then
	echo -e "usage: $0 <target-path>"
	exit 0;
fi

path=$1

(
cd $1

curl -O "https://vision.middlebury.edu/flow/data/comp/zip/other-gray-twoframes.zip"
curl -O "https://vision.middlebury.edu/flow/data/comp/zip/other-gt-flow.zip"
unzip "other-gray-twoframes.zip"
unzip "other-gt-flow.zip"
cp -r "other-data-gray"/* ./
cp -r "other-gt-flow"/* ./
rm -rf "other-data-gray" "other-gray-twoframes.zip"
rm -rf "other-gt-flow" "other-gt-flow.zip"
)
